# dkim_dns_set_query_service()

[back to index]

SYNOPSIS

    #include <dkim.h>
    void dkim_dns_set_query_service(
    	DKIM_LIB *libopendkim,
            void *service
    );

Specifies an opaque handle referring to the DNS service to be used by libopendkim. This handle will be passed to the DNS functions declared using `dkim_dns_set_query_start()`, `dkim_dns_set_query_cancel()`, and `dkim_dns_set_query_waitreply()`.

DESCRIPTION

Called When | `dkim_dns_set_query_service()` can be called at any time, but is presumably most useful prior to doing any DNS operations such as are done during `dkim_eoh()` when verifying.

ARGUMENTS

Argument | Description
--- | ---
libopendkim | The library instantiation handle, returned by `dkim_init()`.
service | An opaque handle referring to the DNS service to be used.

RETURN VALUES

- None.

NOTES

- Asynchronous key lookups can also be accomplished using `dkim_set_key_lookup()`.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.